# copySpec

@Incubating
abstract fun copySpec(action: Action<in CopySpec>): CopySpec

Creates a CopySpec which can later be used to copy files or create an archive. The given action is used to configure the CopySpec before it is returned by this method.

#### Return

The CopySpec

#### Since

8.5

#### Parameters

action

Action to configure the CopySpec

@Incubating
abstract fun copySpec(): CopySpec

Creates a CopySpec which can later be used to copy files or create an archive.

#### Return

a newly created copy spec

#### Since

8.5